Loading...
Searching...
No Matches
itk::ImageRandomSamplerSparseMask< TInputImage >::UserData Struct Reference

## Detailed Description

template<class TInputImage>
struct itk::ImageRandomSamplerSparseMask< TInputImage >::UserData

Definition at line 101 of file itkImageRandomSamplerSparseMask.h.

## Public Member Functions

| ITK_DISALLOW_COPY_AND_MOVE (UserData)

## Data Fields

const std::vector< ImageSampleType > & | m_AllValidSamples
const std::vector< vcl_size_t > & | m_RandomIndices
std::vector< ImageSampleType > & | m_Samples

## Member Function Documentation

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TInputImage>

itk::ImageRandomSamplerSparseMask< TInputImage >::UserData::ITK_DISALLOW_COPY_AND_MOVE | ( | UserData |  | ) |

## Field Documentation

## m_AllValidSamples

template<class TInputImage>

const std::vector<ImageSampleType>& itk::ImageRandomSamplerSparseMask< TInputImage >::UserData::m_AllValidSamples

Definition at line 105 of file itkImageRandomSamplerSparseMask.h.

## m_RandomIndices

template<class TInputImage>

const std::vector<vcl_size_t>& itk::ImageRandomSamplerSparseMask< TInputImage >::UserData::m_RandomIndices

Definition at line 106 of file itkImageRandomSamplerSparseMask.h.

## m_Samples

template<class TInputImage>

std::vector<ImageSampleType>& itk::ImageRandomSamplerSparseMask< TInputImage >::UserData::m_Samples

Definition at line 107 of file itkImageRandomSamplerSparseMask.h.

Generated on 1768596610 for elastix by 1.15.0 |